Autodesk Navisworks 2010 Service Pack 1

Installation Information
Expand All
Collapse All
Autodesk Navisworks 2010 Service Pack 1

Thank you for downloading Autodesk Navisworks 2010 Service Pack 1.

This readme contains the latest information regarding the installation and use of this service pack. It is strongly recommended that you read this entire document before you apply this service pack to your product. For reference, you should save this document to your hard drive or print a copy.

Topics in this section

  • Installation Information
  • General Updates

    This service pack fixes the following defects.

Please send us your comment about this page


Installation Information (Concept)

Autodesk Navisworks 2010 Service Pack 1
Autodesk Navisworks 2010 Service Pack 1
General Updates
Autodesk Navisworks 2010 Service Pack 1 >
Expand All
Collapse All
Installation Information
Concept Procedure

Who Should Install This Service Pack

You can apply this service pack to the following Autodesk products running on all supported operating systems and languages.

  • Autodesk Navisworks Freedom 2010
  • Autodesk Navisworks Review 2010
  • Autodesk Navisworks Manage 2010
  • Autodesk Navisworks Simulate 2010

Supported Operating Systems

You can use this service pack with the following operating systems below.

  • 32-bit:

    Microsoft® Windows® XP Professional, SP 2 or SP 3; Microsoft Windows XP Home, SP 2 or SP 3; Microsoft Windows Vista® Ultimate, SP 1; Microsoft Windows Vista Enterprise, SP 1; Microsoft Windows Vista Business, SP 1; Microsoft Windows Vista Home Premium, SP 1; Microsoft Windows Vista Home Basic, SP 1.

  • 64-bit:

    Microsoft Windows XP Professional, SP 1; Microsoft Windows Vista Enterprise, SP 1; Microsoft Windows Vista Business, SP 1; Microsoft Windows Vista Ultimate, SP 1;Microsoft Windows Vista Home Premium, SP 1.

Windows Command Line Switches

Two Microsoft® Windows® command line switches are built into this pack:

  • /S – runs in silent mode; no progress information appears.
  • /a – unpacks into a deployable form, that is extracts the MSP and MSI files from the service pack executable.
    NoteDeployment of this service pack is not supported through the Deployment Wizard. Using /a switch enables you to extract the MSI and MSP files suitable for use in administrative installs.

Instructions about how to use the command line switches are included in this readme.


Installation Information (Procedure)

Installation Information
Installation Information
Autodesk Navisworks 2010 Service Pack 1 >
Expand All
Collapse All
Installation Information
Concept Procedure

To install this service pack on an individual computer

To install this service pack with a command switch


To install this service pack on an individual computer (Procedure)

Installation Information
Installation Information
Installation Information
Autodesk Navisworks 2010 Service Pack 1 >
Expand All
Collapse All
Installation Information
Concept Procedure

To install this service pack on an individual computer

  1. Download the service pack and save it to any folder.
  2. Find the folder where you saved the service pack and double-click the executable file service_pack.exe.


To install this service pack with a command switch (Procedure)

Installation Information
Installation Information
Autodesk Navisworks 2010 Service Pack 1 >
Expand All
Collapse All
Installation Information
Concept Procedure

To install this service pack with a command switch

  1. Download the service pack and save it to any folder.
  2. On the Start menu, click Run.
  3. To install the service pack in silent mode, enter information using the following syntax and click OK.

    <local_drive:pathname>\<service_pack_name> /S.

    To extract the MSI and MSP files suitable for use in administrative installs, enter information using the following syntax, and click OK.

    <local_drive:pathname>\<service_pack_name> /a

    ImportantFor administrative installs, you must uninstal each DWG file reader either before or during the upgrade so that the DWG file reader MSIs can be installed afresh.


General Updates

Installation Information
Autodesk Navisworks 2010 Service Pack 1
Autodesk Navisworks 2010 Service Pack 1 >
Expand All
Collapse All
General Updates

This service pack fixes the following defects.

  • Clash Detective. Camera now transitions more smoothly between clash results.
  • Object Animation. When adding a keyframe to the end of an animation the object movement now remains consistent.
  • Comments window. TheID column in the Comments window is now labeled Comment ID.
  • Hyperlinks and Smart Tags. Autodesk Navisworks now remembers Hyperlinks and SmartTags visibility settings between sessions. New Show Hyperlinks and Show SmartTags options have been added to the Options Editor (Interface node).
  • Sectioning. The section bar slider now maintains correct settings when user switches between viewpoints.
  • Collaboration. When using the collaborate function all window states now remain consistent.
  • AutoCAD Interoperability.
    • AutoCAD elements are now correctly displayed on the Properties tab of the Selection Tree window.
    • Installing Autodesk Navisworks 2010 no longer causes issues with AutoCAD VBA customizations.
  • Inventor Interoperability. You can now view Inventor 'surface models' in Autodesk Navisworks.
  • IFC Interoperability. Improved support for IFC 2X2 files. Missing components and misplaced Geometry issues are now resolved.
  • Revit Interoperability.
    • Structural usage text designated in Revit is now displayed in Autodesk Navisworks.
    • Window and door openings are now supported when exporting NWC files from Revit.
    • Revit models modelled in mm now appear the correct size in Autodesk Navisworks.
  • AutoCAD Visual LISP. Visual LISP feature of AutoCAD 2008 and 2009 now functions correctly after Autodesk Navisworks 2010 is installed.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!